Bug 863916 - [abrt] pan-0.139-1.fc17: operator new: Process /usr/bin/pan was killed by signal 11 (SIGSEGV)
[abrt] pan-0.139-1.fc17: operator new: Process /usr/bin/pan was killed by sig...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pan (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Dalloz
Fedora Extras Quality Assurance
abrt_hash:98eda11532762906303108aa461...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-07 23:52 EDT by h2794354
Modified: 2013-07-31 14:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 14:24:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (129.93 KB, text/plain)
2012-10-07 23:52 EDT, h2794354
no flags Details
File: backtrace (174.58 KB, text/plain)
2012-10-07 23:52 EDT, h2794354
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-07 23:52 EDT, h2794354
no flags Details
File: cgroup (129 bytes, text/plain)
2012-10-07 23:52 EDT, h2794354
no flags Details
File: maps (37.65 KB, text/plain)
2012-10-07 23:52 EDT, h2794354
no flags Details
File: dso_list (7.11 KB, text/plain)
2012-10-07 23:52 EDT, h2794354
no flags Details
File: build_ids (3.00 KB, text/plain)
2012-10-07 23:52 EDT, h2794354
no flags Details
File: var_log_messages (972 bytes, text/plain)
2012-10-07 23:53 EDT, h2794354
no flags Details
File: open_fds (617 bytes, text/plain)
2012-10-07 23:53 EDT, h2794354
no flags Details

  None (edit)
Description h2794354 2012-10-07 23:52:46 EDT
Version-Release number of selected component:
pan-0.139-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        pan
crash_function: operator new
kernel:         3.5.4-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (7 frames)
: #2 operator new at ../../../../libstdc++-v3/libsupc++/new_op.cc:52
: #3 allocate at /usr/include/c++/4.7.0/ext/new_allocator.h:94
: #4 _M_allocate at /usr/include/c++/4.7.0/bits/stl_vector.h:169
: #5 std::vector<int, std::allocator<int> >::_M_insert_aux at /usr/include/c++/4.7.0/bits/vector.tcc:343
: #6 push_back at /usr/include/c++/4.7.0/bits/stl_vector.h:893
: #7 PanTreeStore::get_path at pan-tree.cc:303
: #8 iterate_thru_children at gailtreeview.c:3446
Comment 1 h2794354 2012-10-07 23:52:49 EDT
Created attachment 623267 [details]
File: core_backtrace
Comment 2 h2794354 2012-10-07 23:52:50 EDT
Created attachment 623268 [details]
File: backtrace
Comment 3 h2794354 2012-10-07 23:52:52 EDT
Created attachment 623269 [details]
File: limits
Comment 4 h2794354 2012-10-07 23:52:53 EDT
Created attachment 623270 [details]
File: cgroup
Comment 5 h2794354 2012-10-07 23:52:55 EDT
Created attachment 623271 [details]
File: maps
Comment 6 h2794354 2012-10-07 23:52:57 EDT
Created attachment 623272 [details]
File: dso_list
Comment 7 h2794354 2012-10-07 23:52:59 EDT
Created attachment 623273 [details]
File: build_ids
Comment 8 h2794354 2012-10-07 23:53:00 EDT
Created attachment 623274 [details]
File: var_log_messages
Comment 9 h2794354 2012-10-07 23:53:02 EDT
Created attachment 623275 [details]
File: open_fds
Comment 10 sog.sjourne 2012-11-19 16:54:04 EST
duplicates : https://bugzilla.redhat.com/show_bug.cgi?id=863916
Version-Release number of selected component:  pan-0.139-1.fc17.x86_64
kernel : 3.6.6-1.fc17.x86_64
cmdline:        pan

log in /var/log/messages :
kernel: [  403.170566] pan[5941]: segfault at 7fffe38c7fd0 ip 00007fcea2c3863b sp 00007fffe38c7f70 error 6 in libc-2.15.so[7fcea2bbc000+1ac000]

Version of package containing libc-2.15.co : glibc-2.15-58.fc17.i686

Comment : 
I use pan with SSL ( with stunnel on 127.0.0.1:119 -> news.servers:sslport ).
The crash came systematically after i tried to refresh group  list.
SSL tunneling works , the reception of group start but at the end of this task pan stop (Erreur de segmentation (core dumped))


backtrace_rating: 4
Package: pan-0.139-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 sog.sjourne 2012-11-20 15:16:54 EST
I try another version of pan (0.133) , the result are the same
Comment 12 Fedora End Of Life 2013-07-03 15:37:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2013-07-31 14:24:37 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.